summaryrefslogtreecommitdiff
path: root/dev-python/psycopg2cffi
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-02-28 09:15:11 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-02-28 09:15:11 +0000
commit628a0a1b76f8b7b08c8286a429bd1371f790e421 (patch)
treee48540e8fbcb44536694fa701814ca0538e16d69 /dev-python/psycopg2cffi
parent22f877e87a316dd892787c57f205a45abe8ae144 (diff)
downloadbaldeagleos-repo-628a0a1b76f8b7b08c8286a429bd1371f790e421.tar.gz
baldeagleos-repo-628a0a1b76f8b7b08c8286a429bd1371f790e421.tar.xz
baldeagleos-repo-628a0a1b76f8b7b08c8286a429bd1371f790e421.zip
Adding metadata
Diffstat (limited to 'dev-python/psycopg2cffi')
-rw-r--r--dev-python/psycopg2cffi/Manifest2
-rw-r--r--dev-python/psycopg2cffi/files/psycopg2cffi-2.9.0-include-tests.patch10
-rw-r--r--dev-python/psycopg2cffi/psycopg2cffi-2.9.0-r1.ebuild59
-rw-r--r--dev-python/psycopg2cffi/psycopg2cffi-2.9.0.ebuild28
4 files changed, 70 insertions, 29 deletions
diff --git a/dev-python/psycopg2cffi/Manifest b/dev-python/psycopg2cffi/Manifest
index 26be24ea9ba5..d267c2e4016f 100644
--- a/dev-python/psycopg2cffi/Manifest
+++ b/dev-python/psycopg2cffi/Manifest
@@ -1 +1 @@
-DIST psycopg2cffi-2.9.0.tar.gz 65512 BLAKE2B 2e106eea22feb08aa7154dfc4959a9e68d946b34e872711f19856521dca050d0380498d3c20e762b31e7181ecfc5371a1b02c4bb711bccccfe56a4af9f497ffc SHA512 afd3ce9fa76dcd2df29b7aa8c5d31a33058023dc020ac829b95b8f7950fa17f2733f86a8c45f3d6eefeafae1c7f3997cbae820da98952d71336f7a1c72e84353
+DIST psycopg2cffi-2.9.0.gh.tar.gz 117682 BLAKE2B 9fe983f8f72fe384b1946143331b17dbcd03d12579241c7444d0d1c8bb7d51ed9576eace780ae3dd58c2d621b21f045347e25692514fa2fbbee2aac21ef89adb SHA512 520c4aaad33916ff5e1a7089888e04134bd5ad6f3115415a3dd04fb48afdc8ad0c68bf9e71d9158640392d3a2cd0b280eea8fa7a3d2ed63944e234d52f8cce43
diff --git a/dev-python/psycopg2cffi/files/psycopg2cffi-2.9.0-include-tests.patch b/dev-python/psycopg2cffi/files/psycopg2cffi-2.9.0-include-tests.patch
new file mode 100644
index 000000000000..1237fa7d56a8
--- /dev/null
+++ b/dev-python/psycopg2cffi/files/psycopg2cffi-2.9.0-include-tests.patch
@@ -0,0 +1,10 @@
+--- a/setup.py
++++ b/setup.py
+@@ -57,7 +57,7 @@ setup_kwargs = dict(
+ description=README[0].strip(),
+ long_description=''.join(README),
+ test_suite='psycopg2cffi.tests.suite',
+- packages=['psycopg2cffi', 'psycopg2cffi._impl', 'psycopg2cffi.tests'],
++ packages=['psycopg2cffi', 'psycopg2cffi._impl', 'psycopg2cffi.tests', 'psycopg2cffi.tests.psycopg2_tests'],
+ install_requires=['six'],
+ )
diff --git a/dev-python/psycopg2cffi/psycopg2cffi-2.9.0-r1.ebuild b/dev-python/psycopg2cffi/psycopg2cffi-2.9.0-r1.ebuild
new file mode 100644
index 000000000000..1b50801742f8
--- /dev/null
+++ b/dev-python/psycopg2cffi/psycopg2cffi-2.9.0-r1.ebuild
@@ -0,0 +1,59 @@
+# Copyright 2019-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+DISTUTILS_USE_PEP517=setuptools
+inherit databases distutils-r1 edo
+
+DESCRIPTION="Implementation of the psycopg2 module using cffi. Compatible with Psycopg 2.5."
+HOMEPAGE="
+ https://pypi.org/project/psycopg2cffi/
+ https://github.com/chtd/psycopg2cffi
+"
+SRC_URI="https://github.com/chtd/${PN}/archive/refs/tags/${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND="dev-db/postgresql:="
+RDEPEND="
+ ${DEPEND}
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ virtual/python-cffi[${PYTHON_USEDEP}]
+ test? (
+ $(epostgres --get-depend)
+ )
+"
+
+PATCHES=( "${FILESDIR}"/${P}-include-tests.patch )
+
+EPYTEST_DESELECT=(
+ # hang
+ tests/psycopg2_tests/test_cancel.py::CancelTests::test_async_cancel
+ # fail
+ tests/psycopg2_tests/test_dates.py::FromTicksTestCase::test_date_value_error_sec_59_99
+ tests/psycopg2_tests/test_types_basic.py::TypesBasicTests::testEmptyArray
+)
+
+distutils_enable_tests pytest
+
+python_test() {
+ cd "${T}" || die
+ epytest --pyargs ${PN}
+}
+
+src_test() {
+ local -x PSYCOPG2_TESTDB_HOST="localhost"
+ local -x PSYCOPG2_TESTDB_PORT="55432"
+ local -x PSYCOPG2_TESTDB_USER="postgres"
+ epostgres --start ${PSYCOPG2_TESTDB_PORT}
+ edo createdb -h ${PSYCOPG2_TESTDB_HOST} -p ${PSYCOPG2_TESTDB_PORT} -U postgres psycopg2_test
+
+ distutils-r1_src_test
+ epostgres --stop
+}
diff --git a/dev-python/psycopg2cffi/psycopg2cffi-2.9.0.ebuild b/dev-python/psycopg2cffi/psycopg2cffi-2.9.0.ebuild
deleted file mode 100644
index 501137c6c2d2..000000000000
--- a/dev-python/psycopg2cffi/psycopg2cffi-2.9.0.ebuild
+++ /dev/null
@@ -1,28 +0,0 @@
-# Copyright 2019-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
-
-inherit distutils-r1
-
-DESCRIPTION="Implementation of the psycopg2 module using cffi. Compatible with Psycopg 2.5."
-HOMEPAGE="
- https://github.com/chtd/psycopg2cffi
- https://pypi.org/project/psycopg2cffi/
-"
-SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="LGPL-3+"
-SLOT="0"
-KEYWORDS="~amd64"
-
-RDEPEND="
- dev-db/postgresql:*
- dev-python/six[${PYTHON_USEDEP}]
- virtual/python-cffi[${PYTHON_USEDEP}]
-"
-DEPEND="${RDEPEND}"
-
-distutils_enable_tests pytest